Download it now!
Bug 56046 - Enhancement request: Dark UI theme option for Mac OS X
Summary: Enhancement request: Dark UI theme option for Mac OS X
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other Mac OS X (All)
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:4.0.0
Keywords:
Depends on:
Blocks: MacOS-Wishlist
  Show dependency treegraph
 
Reported: 2012-10-16 20:12 UTC by Emir Sarı
Modified: 2014-09-07 09:49 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
NeoOffice standard UI (96.70 KB, image/png)
2012-10-16 20:12 UTC, Emir Sarı
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Emir Sarı 2012-10-16 20:12:26 UTC
Created attachment 68645 [details]
NeoOffice standard UI

Hello,

The current white document and toolbar background cause eye strain after working for a couple of hours. 

It might be really a good idea to darken the toolbar background colour and the document background. Document background was gray in 3.5, and though it looked ugly, it was definitely more pleasant to work with. 

For reference, NeoOffice UI might be a really good example, they have darker colours and it both feels more native and more comfortable for the eyes. 

I hope this will be considered for the further releases. 

Best regards
Comment 1 Roman Eisele 2012-10-17 07:33:32 UTC
Comment on attachment 68645 [details]
NeoOffice standard UI

(Fixed MIME type)
Comment 2 Roman Eisele 2012-10-17 07:45:31 UTC
Thank you for your report!

At least the document background colour can be changed easily in Preferences > LibreOffice > Appearance; just do so to get the old (darker) background back.
There is, however, no control for changing the toolbar background colour.

I would say this is a matter of taste; taking myself as an counter-example, I definitely prefer the current look and do NOT like the old/dark/NeoOffice look ;-)

In order to allow every user to follow his/her taste, I would suggest just to add a new setting to Preferences > LibreOffice > Appearance, i.e. “Toolbar background”.


@ Emir Sari:
Would this -- adding an option to change the toolbar background colour -- be sufficient for fulfilling your request, making everybody happy ;-) ?
Comment 3 Emir Sarı 2012-10-17 17:01:54 UTC
@Roman Eisele,

Thank you for your interest about the subject. 

I changed the title, adding the phrase "option" to make it sound better. 

An option to change the toolbar colour would be very nice; but instead making it highly customizable like document background colour, some pre-defined colour options aka themes would make it look more professional. And knowing that applying the latest OS X frameworks still require lots of developer power, this would sound more reasonable I guess. 

And about the document background; there has been a slight misunderstanding, I meant the background of the document layout, which was dark gray in LO 3.5, but instead now white in LO 3.6. The same theming option would still be very nice. 

And my humble opinion, using some pastel tones in the background would look awesome, following the darkish colour themes of OS X. 

Kind regards.
Comment 4 Roman Eisele 2012-10-17 18:24:40 UTC
OK, I just wanted to ask ;-)

This is a valid enhancement request, so setting Status to NEW.

Now we just need some developer who wants to implement this ...
Comment 5 Michael Whitfield 2012-11-05 19:47:20 UTC
Fully support Emir San comment 2012-10-16 and  Roman Eisele.I too have changed the background colour but some control over toolbar/rulers colourwould enhance the application. In some applications in the past a "Default to Windows Colors" scheme was possible so that the toolbar icons can be easely read and not to cause eye stain wold be a definite improvement
Comment 6 Emir Sarı 2012-12-10 23:30:48 UTC
My frustration towards the white toolbar background increasingly becomes bigger. The recent bug of borderless toolbars on 4.0 even causes me not to open the beta and do some testing and stuff (https://bugs.freedesktop.org/show_bug.cgi?id=57433). In terms of eye strain, this is a serious issue, plain colours cause eye strain, if they are pure white, this is even worse. It has to contain gradients, geometrical shapes or something for eyes to concentrate on to ease eye strain. That's where I understood one single line of border how much helps to work *kinda* comfortably. And this is really painful for people who has astigmate like me even with eyeglasses. Maybe from a developer's point of view it may seem like just something less important, but from an UX point of view, it is really important; and this should be high priority. 

"NO ONE" will use a product that does not appeal to their eyes, except geeks of it, or unless they need that product. There is NeoOffice, but it is donationware, and not LO based (Still based on OO.o 3.1). 

And what actually frustrates me is, there is no single intention shown to improve Mac user experience (like call for developers, seek Mac volunteers, seek Mac UI designers), not mentioned in any roadmap or something, or whatever. In Mac universe, developers usually find their ways, they have pretty much options to canalise their efforts, the recent Mac App Store, iOS environment... frankly, they have much choices. And I believe no single Mac developer or designer will care about LibreOffice unless you seek for them. Sure, I believe there are quiet a number of developers who'd be willing to help, but my humble opinion is they simply do different stuff. And I don't know how new features are decided, but as a transparent foundation, all these should be made clear, so people can see what is missing, what is needed, so that they can act accordingly. 

Just my two cents.
Comment 7 Emir Sarı 2013-01-30 20:07:35 UTC
Mr. Holesovsky, I thought you'd be interested in this, so I am adding you to CC. :)Since we have Personas now UI is much easy to modify, so it has no big priority, but it could be still useful.
Comment 8 Florian Reisinger 2013-03-07 10:39:21 UTC
You can edit it with personas: http://www.getpersonas.com/de/ [LibreOffice 4.0+ required]
Comment 9 Emir Sarı 2013-03-07 13:14:58 UTC
Should we really close this bug? 

Personas only apply to the upper part of the window, and not the rest of the controls (Navigator, Sources etc.). If I place my toolbars to the bottom of the main window, or to the sides, there won't be any personas there. 

I suggest reopening the bug.
Comment 10 Adolfo Jayme 2013-03-07 19:15:16 UTC
Marking as NEW. This is about improving the default UI.
Comment 11 retired 2014-09-05 09:39:02 UTC
Emir, what do you think? We have the new grey top toolbar now. So should we proceed with more detailed bugs?

I have little hope, that this will get addressed. While I love dark themes, LO is customizable and the ruler background bug has just been fixed by Kendy as well. So I feel we're making progress and maybe should continue moving in small iterations. I do not see a dark theme happening except you make a custom one, which is really good, extract that and it becomes implemented as a Scheme under LO > Prefs > General > Appearance.

Also why is this OS X only? Would a dark color scheme be available for all OS?

What do you think?
Comment 12 retired 2014-09-05 09:40:46 UTC
Looking at the attached screenshot, I think we've reached that point. Also the grey LO application background is now the default.

Setting to FIXED. Let's continue with new bugs for remaining issues to keep things Lean and Clean.
Comment 13 Adolfo Jayme 2014-09-05 13:56:25 UTC
Let's not close bugs just to get a higher number in the ESC weekly stats.
Comment 14 retired 2014-09-05 14:10:45 UTC
sure, but what exactly is requested here? I don't see you in IRC QA or design to ask first. But maybe should ping you more often.

Also I gave reason why I did close the bug, right?

What remains to be done? Fito, can you layout a roadmap or exact actions that need to be taken here?
Comment 15 Emir Sarı 2014-09-06 23:25:37 UTC
At first it makes sense to think that this bug is fixed, but I think this bug is still valid - from a different technical view.

OS X Yosemite will feature a dark mode within the system. If I'm not mistaken when switched to this dark mode, applications should also change their skin to the dark versions. 

Let's just wait until the GM of Yosemite is released, also if there is someone using Yosemite, any feedback is appreciated.
Comment 16 retired 2014-09-07 09:46:02 UTC
Emir, which brings me back to my point why I initially closed this bug: Requesting a dark theme and OSX integration for OSX to be triggered by the OSX darktheme mode is a different bug than what this bug here was started with in mind (back then yosemity wasn't even on the horizon).

I'm not aware of the darktheme option in OSX changing the appearance of any other app. Also in the latest DP preview all it changes is the top menubar and the dock.

So there's no impact on other apps as to triggering any theme changes.

That's it.

So can we agree to close this bug? The title is correct still because a dark theme in general would be nice to be available by default, but the comments refer to requests already solved which is time consuming to read and hard to keep track should a dev or designer approach this task. Imo a new bug clearly stating what is requested and needs to be done would be much better.

Emir, can you proceed if you agree?
Comment 17 Emir Sarı 2014-09-07 09:49:17 UTC
A different bug makes sense. Yosemite is still in Developer Preview, maybe they'll change this behaviour till the GM. 

Closing as WONTFIX, since current situation is currently editable via personas and  application background.